Package org.apache.sling.starter.testservices.filters

# Class SlingFilter

java.lang.Object
org.apache.sling.starter.testservices.filters.SlingFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class SlingFilter extends Object
Example/test Filter

## Constructor Summary

Constructors
Constructor
Description
`SlingFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`protected String`
`getHeaderName()`
`void`
`init(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingFilter

public SlingFilter()

## Method Details

### getHeaderName

protected String getHeaderName()

### init

public void init(javax.servlet.FilterConfig filterConfig) throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`

### doFilter

public void doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain) throws IOException, javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`